# Brevo Contact
This module allows you to map any user field values with Brevo according 
to your requirements. It also dynamically provides Brevo contact lists in 
the Drupal mapping form. An additional feature is the Key/Value functionality.
When the user selects an option key, the corresponding value is 
mapped accordingly.

For example, if a user maps a content reference field and selects the key 
option, the key value will be saved in Brevo. When the value option is 
selected, the exact value of the field will be saved.

The module provides three main headers in the Mapping Configuration form: 
User Field, Value, and Mapping Field, accessible only by administrators.

- User Field: Displays only the user fields available on the site.
- Value: Allows you to select the type of values you want to map.
- Mapping Field: Dynamically displays Brevo contact attributes based on 
the fields added by the user.

## Table of contents

- Requirements
- Installation
- Configuration

## Requirements

This module requires the Brevo: Digital Marketing Tool 
(formerly Sendinblue) module. (https://www.drupal.org/project/sendinblue_api)

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules]
(https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

To configure the module:

1. After installing the module, navigate to Configuration -> Brevo Field 
Mapping under the system menu.
2. In the User Field section, select the user field you want to map.
3. Choose the Key/Value option to specify how values should be mapped.
4. Select the corresponding Brevo Field to map the user field to.
5. Save the mapping form.
6. You can also select the Brevo contact list as per your needs.
7. After configuration, go to the user form, enter the required 
information, and save it.
8. Once saved, your information will be synced with Brevo based on the selected 
mapping fields and contact list values.
